Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placedessin.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placedessin.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/placedessin.pro	(revision 142)
@@ -3,43 +3,124 @@
 ;------------------------------------------------------------
 ;+
-; NAME:placedessin
-;
-; PURPOSE: mise en place du dessin / ouverture de la fenetre ou du PS
-;
-; CATEGORY: pour alleger les programmes plt, pltz, pltt.
-;
-; CALLING SEQUENCE: placedessin, typedessin,posfenetre, posbar
-;
-; INPUTS:
-;   typedessin: une chaine de charactere specifiant quelle procedure
-;   appelle placedessin: 'plt', 'pltz', 'pltt'
-;
-; KEYWORD PARAMETERS: pleins (ce de CALIBRE de WINDOW ...)
-;
-;       LCT: intier designant le numero de la palette de couleur que
-;       l''on veut utiliser pour les plot. 
+;
+; @file_comments 
+; Putting into place of the drawing/ opening of the window or of the PS
+;
+; @categories 
+; Utilities
+;
+; @param TYPEDESSIN
+; It is a chain or characteres specifying what procedure is called by PLACEDESSIN: 'plt', 'pltz' or 'pltt'
+;
+; @keyword LANDSCAPE 
+; Force the page or the window on the screen to be in lenthened position.
+;
+; @keyword LCT 
+; Is an integer designating the number of the palette of color we want to use for the plot. 
 ;	
-; OUTPUTS:
-;
-;       posfenetre: un vecteur de 4 elements contenant la position de
-;       cadre contenant les legendes + le graphe en coordonnes
-;       normalises. Rq: pour positionner le dessin il faut apres
-;       l''appelle de calibre faire !p.position=posfenetre
-;
-;       posbar: cf posfentre mais pour la barre de couleur. meme
-;       remarque pour positionner la barre de couleur, !p.position=posbar
-;
-;
-; COMMON BLOCKS:
-;	common.pro
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @keyword MAP 
+; We use it when we want to do a projection.
+; This keyword can be of two types:
+;     MAP=[P0lat,P0lon,Rot]. For the descrption of these 3 values (see the online help of MAP_SET).
+;     /MAP: In this case, map is automatically caculated have the value: 
+;          map = [0, (lon1+lon2)/2., 0]
+; Comment: A good way to choose the type of the projection we want to do is to have a look at IDL demo:
+; IDL> demo
+; Then choose earth sciences and  mapping.
+; Comment2: By default it  is a cindrical projection which is effectuated (with or without the keyword map). 
+; If we want an other projection, MAP must be activated and we have to add the keyword: /nom_projection.
+; For example, for a polar projection centered on the south pole:
+; IDL> domdef,-180,180,-90,-45
+; IDL> plt, tab, /stereo,map=[-90,0,0]
+;	
+; @keyword NOCOLORBAR 
+; We active it if we do not want the colorbar.
+
+;; @keyword NOFILL 
+; We active it if we only want contours in black and white with a white background.
+;
+; @keyword NOERASE 
+; We active it to make a drawing without creating a new frame.
+;
+; @keyword SMALL 
+; Vector composed of 3 or 4 elements, applyed to make a drawing on a 
+; small portion of a page or screen. It delimit the zone where the drawing will be done.
+;     If there is 4 elements:
+; then is constituated of coordinates (expressed in cm located from the up and 
+; left corner of the page or the window (in portrait like in lanscape)) of the bottom 
+; and left corner and of the up and right corner of the drawing zone.
+;     If there is 3 elements:
+; in this case, we divide the page or the screen in small[0] columns and in small[1] lines 
+; the drawing made in the box numbered small[2]. The numerotation starting up and left by 
+; the number 1 and then, following the writing direction.
+; By default, we make the largest drawing we can do, conserving the aspect rapport 
+; (exept when REMPLI is activated).
+; 
+; @keyword PORTRAIT 
+; Force the page or the window to be in standing position.
+;
+; @keyword POST 
+; Make a postscript. Only works if we made one drawing on the page.
+; If we make several drawing, use \@ps.
+;
+; @keyword REMPLI 
+; Force the drawing to occupy the whole space defined by small.
+;
+; @keyword WINDOW
+; Number of the window on which we want to do the graph (Allow to open several windows). 
+; By default, we open 'IDL0'
+;
+; @keyword CB_TITLE 
+; The colorbar's title
+;
+; @keyword CONTOUR 
+; If we want to trace contours of a different field than the one 
+; whose we have the colored drawing (by examlpe E-P in color and QSR in contours). 
+; It must be a field respecting same caracteristics than the argument number one of plt.
+;
+; @keyword ENDPOINTS 
+; keyword specifing that we want to make a vertical cut in diagonal. Then coorinated of extremities 
+; of these one are difined by the 4 elements of the vector ENDPOINTS: [x1,y1,x2,y2] which are 
+; coordinates. 
+;
+; @keyword VECTEUR
+; It is a structure composed by 2 elements containing the 2 fields U
+; and V of values of the zonal and meridian component of the vector of the fields
+; to draw. These fields can be an array or a structure.
+;       For example: vecteur={matriceu:lec('unsurface'),matricev:lec('vnsurface')}
+;       Comment: name of elements of vectors are inconsenquential.
+;       vecteur={u:lec('unsurface'),v:lec('vnsurface')} is also appropriated.
+;
+; @keyword DIREC
+; 't' 'x' 'y' 'z' 'xys' 'xz' 'yz' 'xyz' 'xt' 'yt' 'zt' 'xyt'
+;       'xzt' 'yzt' 'xyzt' Direction on which do averages 
+;
+; @keyword _EXTRA
+; Used to pass your keywords.
+;
+; @keyword COLOR_C 
+; To draw the contour in color instead of in black
+; with filling in color 
+;
+; @param POSFENETRE {out}
+; It is a vector composed by 4 elements containing the position of the frame 
+; containing captions and the graph in normalized coorinates. 
+; Comment: To position the drawing; we have to do !p.position=posfenetre 
+; after the call of the caliber
+;
+; @param POSBAR {out}
+; Like POSFENETRE but for the color bar. 
+; Same comment to position the color bar, !p.position=posbar
+;
+; @uses
+; common.pro
+;
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                       26/4/1999
+;
+; @version
+; $Id$
+;
 ;-
 ;------------------------------------------------------------
@@ -65,8 +146,8 @@
   ENDIF
 ;-------------------------------------------------------------
-; 1) determination de la taille des marges (unite=nbre de lignes ou colonnes)
-; a gauche, a droite, en bas, en haut
-; ATTENTION ds margebar le dernier element est le coint en haut a droite au
-; lieu de la marge en haut
+; 1) Determination of the size of margins (unity=number of lines or columns)
+; to the left, to the right, up and down.
+; BEWARE in margebar, the last element is the right up corner 
+; instead of the up margin
 ;-------------------------------------------------------------
   if n_elements(typedessin) EQ 0 then typedessin = 'autre'
@@ -103,5 +184,5 @@
   ENDELSE
 ;--------------------------------------------------------------
-; portrair ou landscape
+; Portrait or landscape
 ;--------------------------------------------------------------
   IF NOT keyword_set(noerase) THEN BEGIN 
@@ -113,5 +194,5 @@
   ENDIF 
 ;--------------------------------------------------------------
-; Quel type de rapport d''aspect (sera ecrase si YXASPECT existe)
+; What type of aspect rapport (it will be crushed if YXASPECT exist)
 ;--------------------------------------------------------------
   case typedessin of
@@ -122,6 +203,6 @@
   endcase
 ;-------------------------------------------------------------
-; 2) calcul de !p.position
-; cf calibre.pro.
+; 2) calculation of !p.position
+; see calibre.pro.
 ;------------------------------------------------------------
 ;
@@ -134,27 +215,27 @@
   !p.position = posfenetre
 ;------------------------------------------------------------
-; 3) ouverture de la fenetre graphique ou du postscript
+; 3) opening of the graphic window or of the postscript
 ;------------------------------------------------------------
   case 1 of
-; cas du premier dessin sur un postcript
+; case of the first drawing on a postcript
     keyword_set(post) AND !d.name ne 'PS':openps, _extra = ex
-; cas du premier dessin sur un ecran
+; case of the first drawing on a screen
     keyword_set(post) EQ 0 AND keyword_set(noerase) EQ 0 $
       AND !d.name ne 'PS' AND !d.name ne 'Z':BEGIN
       if not keyword_set(window) then window = 0
-; pour l''utilisation de @ps, @oups et de @vzoom
-      if lmgr(/demo) EQ 0 then BEGIN ; on est en mode demo??
-        if !journal NE 0 then journal ; on ferme le journal s''il est ouvert
+; For the using of \@ps,\@oups et de \@vzoom
+      if lmgr(/demo) EQ 0 then BEGIN ; Are we in the demo mode??
+        if !journal NE 0 then journal ; We close te journal if it is open
         homedir = isadirectory(io = homedir, title = 'Bad definition of homedir')
         def_myuniquetmpdir
-        journal, myuniquetmpdir+'idlsave.pro' ; on en ouvre un nouveau
-        help, /recall_commands, output = listecommande ; on recupere la derniere commande
+        journal, myuniquetmpdir+'idlsave.pro' ; We open a new one
+        help, /recall_commands, output = listecommande ; We recuperate the last command
         listecommande = strmid(strcompress(listecommande[1]), 2)
-        journal, listecommande ; on l''ecrit dans le journal
+        journal, listecommande ; We write it in the journal
       ENDIF
       windsize = givewindowsize()
       window, window, xsize = windsize[0], ysize = windsize[1],  retain = 2, _extra = ex
-; qd on utilise des couleurs codees sur 24 bit, je n''arrive pas a stipuler la couleur du
-; fond d''une fenetre a l'aide de !p.background, je suis oblige de faire cette bidouille!!!
+; When we used colors which are coded on 24bit, we can not stipulate the background color 
+; of a window thanks to !p.background, so we have to to this:
 ;          if !d.n_colors gt 256 then begin
 ;             device, decomposed=1
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/projsegment.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/projsegment.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/projsegment.pro	(revision 142)
@@ -2,34 +2,28 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-; NAME: projsegment
+;+
 ;
-; PURPOSE: projecte lineairement un segment un vecteur dont les bornes
-; sont [a,b] sur un vecteur dont les bornes sont [c,d]
+; @file_comments
+; project linearly a segment, a vector whose boundaries are [a,b] on 
+; a vector whose boundaries are [c,d]
 ;
-; CATEGORY: caculs a 2 francs
+; @categories
+; calculation
 ;
-; CALLING SEQUENCE: res=projsegment(vecteur, bornes) 
+; @param VECTEUR
+; A vector whose the first element must be the smallest one and the last must be the biggest one.
 ;
-; INPUTS: vecteur: un vecteur dont le premier element doit etre le
-; plus petit element et le dernier doit etre le plus grand.
-;         bornes: les nouvelles bornes du vecteur.
+; @param BORNES 
+; New boundaries of the vector.
 ;
-; KEYWORD PARAMETERS:
+; @keyword MP
+; Activate this keyword to the function send back this a vector of 2 
+; elements which are the m and p of the linear projection y=mx+p used 
+; to pass from the [a,b] segment to the [c,d] segment.
 ;
-;         /MP: activer ce motcle pour que la fonction retourne un
-;         vecteur de 2 elements qui sont les coefficient m et p de la
-;         projection lineaire y=mx+p utilisee pour passer du segment
-;         [a,b] au segment [c,d]
+; @returns 
+; A vector whose new boudaries are specified by BORNES.
 ;
-; OUTPUTS:un vecteurs dont les nouvelles bornes sont specifiees par
-; bornes
-;
-; COMMON BLOCKS:
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
+; @examples
 ;   
 ;   IDL> a=indgen(9) 
@@ -43,6 +37,12 @@
 ;        -80     -70     -60     -50     -40     -30     -20     -10      0
 ;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                       24/6/1999
+;
+; @version
+; $Id$
+;
+;-
 ;------------------------------------------------------------
 ;------------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/restoreatt.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/restoreatt.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/restoreatt.pro	(revision 142)
@@ -3,25 +3,30 @@
 ;------------------------------------------------------------
 ;+
-; NAME:restoreatt
 ;
-; PURPOSE:permet de reattribuer les variables globales associees a un
-; champ qd on donne une stucture cree par ex par saveatt.pro.
+; @file_comments
+; Allows to reattribuate global variables associated with a field 
+; when we give a stucture created by saveatt.pro by example.
 ;
-; CATEGORY:allegement d''ecriture
+; @categories 
+; Utilities
 ;
-; CALLING SEQUENCE:restoreatt, structure
+; @param STRUCT {in}{required}
+; a structure like the one who read litchamp. 
+;        See IDL> xhelp,'litchamp'
 ;
-; INPUTS:une structure comme celle que lit litchamp. 
-;        cf. IDL> xhelp,'litchamp'
+; @uses
+; common.pro
 ;
-; COMMON BLOCKS:
-;	common.pro
+; @restrictions
+; Change the value if global variables attribute of a field: vargrid, 
+; varname, varunit, vardate, varexp , valmask and time.
 ;
-; SIDE EFFECTS: change la valeur des variables globales attributs
-; d''un champ: vargrid, varname, varunit, vardate, varexp , valmask,
-; et time
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
+;                       15/6/1999
 ;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
-;                       15/6/1999
+; @version
+; $Id$
+;
 ;-
 ;------------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/rotation.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/rotation.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/rotation.pro	(revision 142)
@@ -1,28 +1,28 @@
 ;+
-; NAME:
 ;
-;           ROTATION
+; @file_comments
+; Rotate two vectors by a specified amount.
+;	    
+; @param X {in}{required}
+; orignal data point pairs
+;
+; @param Y {in}{required}
+; orignal data point pairs
+;           
+; @param DEG {in}{required}
+; degrees to rotate.
+;	    
+; @param NX {out}
+; rotated point pairs.
 ; 
-; PURPOSE:
-; 
-;	    Rotate two vectors by a specified amount.
+; @param NY {out}
+; rotated point pairs.
 ;	    
-; CALLING SEQUENCE:
-; 
-;	    ROTATION,X,Y,DEG,NX,NY
-;	    
-; INPUTS:
+; @history
+; Jeff Bennett, U of Colorado
 ;
-;           X,Y   :orignal data point pairs
-;           
-;	    DEG   :degrees to rotate.
-;	    
-; OUTPUTS:
-; 
-;	    Nx, Ny = rotated point pairs.
-;	    
-; MODIFICATION HISTORY:
-; 
-;	    Jeff Bennett, U of Colorado
+; @version
+; $Id$
+;
 ;-
 
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/saveatt.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/saveatt.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/saveatt.pro	(revision 142)
@@ -3,22 +3,25 @@
 ;------------------------------------------------------------
 ;+
-; NAME:saveatt
 ;
-; PURPOSE:permet de mettre dans une structure les attributs qui peuvent
-; etre associes a une variable.
+; @file_comments
+; Allows to put in a structure attributes which can be associated with a variable.
 ;
-; CATEGORY:allegement d''ecriture
+; @categories
+; utilities
 ;
-; CALLING SEQUENCE:res=saveatt()
-;
-; OUTPUTS:
-;    une stucture de la forme:
+; @returns 
+; A structure of the form:
 ;         {n:varname,g:vargrid,d:vardate,e:varexp,u:varunit,m:valmask,l:niveau}
 ;
-; COMMON BLOCKS:
-;	common.pro
+; @uses
+; common.pro
 ;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                       15/6/1999
+;
+; @version
+; $Id$
+;
 ;-
 ;------------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/terminedessin.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/terminedessin.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/terminedessin.pro	(revision 142)
@@ -3,29 +3,42 @@
 ;------------------------------------------------------------
 ;+
-; NAME:terminedessin
 ;
-; PURPOSE:termnine le dessin si besion est qd c''est un postcsript.
+; @file_comments
+; End the drawing if needed when it is a postscript.
 ;
-; CATEGORY:mise en forme et allegement de l''ecrityre de plt, pltz et pltt
+; @categories
+; utilities, graphic
 ;
-; CALLING SEQUENCE:terminedessin
+; @keyword POST 
+; Make a postscript. Only works if we made one drawing on the page.
+; If we make several drawing, use \@ps.
 ;
-; INPUTS:
+; @keyword SMALL 
+; Vector composed of 3 or 4 elements, applyed to make a drawing on a 
+; small portion of a page or screen. It delimit the zone where the drawing will be done.
+;     If there is 4 elements:
+; then is constituated of coordinates (expressed in cm located from the up and 
+; left corner of the page or the window (in portrait like in lanscape)) of the bottom 
+; and left corner and of the up and right corner of the drawing zone.
+;     If there is 3 elements:
+; in this case, we divide the page or the screen in small[0] columns and in small[1] lines 
+; the drawing made in the box numbered small[2]. The numerotation starting up and left by 
+; the number 1 and then, following the writing direction.
+; By default, we make the largest drawing we can do, conserving the aspect rapport 
+; (exept when REMPLI is activated).
 ;
-; KEYWORD PARAMETERS:POST et SMALL cf l''aide de plt
+; @keyword _EXTRA 
+; Used to pass your keywords
 ;
-; OUTPUTS:
+; @uses
+; common.pro
 ;
-; COMMON BLOCKS:
-;	common.pro
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
+;                       3/6/1999
 ;
-; SIDE EFFECTS:
+; @version
+; $Id$
 ;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
-;                       3/6/1999
 ;-
 ;------------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/PLOTS/LABEL/label.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/LABEL/label.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/LABEL/label.pro	(revision 142)
@@ -3,45 +3,47 @@
 ;------------------------------------------------------------
 ;+
-; NAME:label
 ;
-; PURPOSE:permet de choisir le stype de label que l'on veut utiliser
-; lors d'un contour
+; @file_comments
+; Allows to choose the type of the label we want to use at the time of a contour.
 ;
-; CATEGORY:graphique
+; @categories
+; graphic
 ;
-; CALLING SEQUENCE:pro label,cas,min,max,ncontour,level_z2d
+; @param CAS {in}{required}
+; Number of the type of the label we want to trace
+;	
+; @param MIN {in}{required} 
+; Smallest value for the drawing of the contour.
 ;
-; INPUTS:
-;	cas=numero du type de label que l'on veut tracer
-;	min et max = valeures min et max entre lesquelles on veut faire
-; des contours
+; @param MAX {in}{required}
+; Biggest value for the drawing of the contour.
 ;
-; KEYWORD PARAMETERS:
+; @keyword INTERVALLE
+; Value of an interval betwenn two isolines. By default, it is calculated to 
+; draw 20 isolines. In all cases, this keyword must be returnedt have a nice
+; caption. If levels do not contain regular intervals, put it at -1.
 ;
-;	INTERVALLE: valeur d'un intervalle entre deux isolignes. par defaut
-; est calcule pour tracer 20 isolighnes. Dans tous les cas ce not cle
-; doit etre retourne pour pouvoir avoir une belle legende. Si les
-; niveaux ne comportent pas d''intevalle regulier, le mettre a -1
+; @keyword NLEVEL
+; Number of contour to be drawn. By default =20. Active if LABEL=0 or is not specified.
 ;
-;	NLEVEL: nombre de contours a dessiner. par defaut =20. actif si
-; LABEL=0 ou nest pas specifie.
+; @param NCONTOUR {out}
+; Number of contour to be drawn.
+; 
+; @param LEVEL_Z2D {out}
+; Vector containing values of contours we draw.
 ;
-; OUTPUTS:
-;	ncontour=nombre de contour a tracer
-;	level_z2d=vecteur contenant les valeurs des contours que l'on trace
-;       colnumb: un vecteur contenant le numero des couleurs qui serviront a
-;               remplir entre les contours)
+; @param COLNUMB {out}
+; Vector containing the number of colors which will serve to fill contours.
 ;
-; COMMON BLOCKS:
-;	common.pro
+; @uses
+; common.pro
 ;
-; SIDE EFFECTS:
+; @history 
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
+;			7/5/98
 ;
-; RESTRICTIONS:
+; @version 
+; $Id$
 ;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
-;			7/5/98
 ;-
 ;------------------------------------------------------------
@@ -72,5 +74,5 @@
    case cas of
       0: begin
-;nlevel label entre le min et le max
+; nlevel label between the min and the max
          if keyword_set(Nlevel) eq 0 then ncontour=20 else ncontour=nlevel
          ncontour = 1 > ncontour
@@ -80,6 +82,6 @@
       end
       1: begin
-;un certain nombre de label en partant du min jusqu'au plus pres de max avec
-; un pas fixe par intervalle
+; a certain number of label from the min to the nearest possible to the
+; max with a constant step by interval
          ncontour  = fix((max-min)/intervalle)
          ncontour = 1 > ncontour
@@ -88,5 +90,5 @@
          max=level_z2d[Ncontour-1]+intervalle
       end
-; label pour faire les memes sss que dessier
+; label to do same sss than dessier
 
       2: begin
@@ -100,5 +102,5 @@
       end
       3: begin
-; lecture intervalles + palette dans fichier GMT
+; Readinf of intervals + palette in the file GMT
 
          label_gmt, min, max, intervalle, ncoul, ncontour, level_z2d, colnumb
Index: /trunk/SRC/ToBeReviewed/PLOTS/LABEL/label_date.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/LABEL/label_date.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/LABEL/label_date.pro	(revision 142)
@@ -1,3 +1,2 @@
-; $Id$
 ;
 ; Copyright (c) 1993-1998, Research Systems, Inc.  All rights reserved.
@@ -5,77 +4,62 @@
 
 ;+
-; NAME:
-;	LABEL_DATE
 ;
-; PURPOSE:
-;	This function labels axes with dates and times.
+; @file_comments
+; This function labels axes with dates and times.
 ;
-; CATEGORY:
-;	Plotting.
+; @categories
+; Plotting.
 ;
-; CALLING SEQUENCE:
-;	To set up:
-;		dummy = LABEL_DATE(DATE_FORMAT='string')
-;	To use:
-;		PLOT, x, y, XTICKFORMAT='LABEL_DATE'
+; @param AXIS {in}{required}
 ;
-; INPUTS:
-;	No explicit user defined inputs. When called from the plotting
-;	routines, the input parameters are (Axis, Index, Value)
+; @param INDEX {in}{required}
 ;
-; KEYWORD PARAMETERS:
-;	DATE_FORMAT: a format string which may contain the following:
-;		       %M for month (3 character abbr)
-;		       %N for month (2 digit abbr)
-;		       %D for day of month,
-;		       %Y for 4 digit year.
-;		       %Z for last two digits of year.
-;	     For time:
-;		       %H for Hours, 2 digits.
-;		       %I for mInutes, 2 digits.
-;		       %S for Seconds, 2 digits.
-;		       %% is %.
-;		     Other characters are passed directly thru.
-;		     For example, '%M %D, %Y' prints DEC 11, 1993
-;		       '%M %2Y' yields DEC 93
-;		       '%D-%M' yields 11-DEC
-;		       '%D/%N/%Y' yields 11/12/1993
-;		       '%M!C%Y' yields DEC on the top line, 1993 on
-;		       the bottom (!C is the new line graphic command).
+; @param X {in}{required}
 ;
-;	MONTHS:      The names of the months, a twelve element string array.
-;		     If omitted, use Jan, Feb, ..., Dec.
+; @keyword DATE_FORMAT
+; a format string which may contain the following:
+; %M for month (3 character abbr)
+; %N for month (2 digit abbr)
+; %D for day of month,
+; %Y for 4 digit year.
+; %Z for last two digits of year.
+;  For time:
+; %H for Hours, 2 digits.
+; %I for mInutes, 2 digits.
+; %S for Seconds, 2 digits.
+; %% is %.
+;  Other characters are passed directly thru.
+; For example, '%M %D, %Y' prints DEC 11, 1993
+; '%M %2Y' yields DEC 93
+; '%D-%M' yields 11-DEC
+; '%D/%N/%Y' yields 11/12/1993
+; '%M!C%Y' yields DEC on the top line, 1993 on
+; the bottom (!C is the new line graphic command).
 ;
-;	OFFSET:	     An optional starting offset of the plot.
-;		Unfortunately, single precision floating point is not accurate
-;		enough to properly represent Julian times.  This offset, which
-;		may be double precision, contains an offset that is added to
-;		all x values, before conversion to Julian date and time.
-
-; OUTPUTS:
-;	The date string to be plotted.
+; @keyword MONTHS
+; The names of the months, a twelve element string array.
+; If omitted, use Jan, Feb, ..., Dec.
 ;
-; COMMON BLOCKS:
-;	LABEL_DATE_COM.
+; @keyword OFFSET
+; An optional starting offset of the plot.
+; Unfortunately, single precision floating point is not accurate
+; enough to properly represent Julian times.  This offset, which
+; may be double precision, contains an offset that is added to
+; all x values, before conversion to Julian date and time.
 ;
-; RESTRICTIONS:
-;	Only one date axis may be simultaneously active.
+; @uses
+; LABEL_DATE_COM.
 ;
-; PROCEDURE:
-;	Straightforward.
+; @restrictions
+; Only one date axis may be simultaneously active.
 ;
-;       For an alternative way to label a plot axis with dates, refer to
-;       the C() format code accepted within format strings (applicable via
-;       the [XYZ]TICKFORMAT keywords).  This new format code was 
-;       introduced in IDL 5.2.
-;
-; EXAMPLE:
-;	For example, to plot from Jan 1, 1993, to July 12, 1994:
-;	  Start_date = julday(1, 1, 1993)
-;	  End_date = julday(7, 12, 1994)
-;	  Dummy = LABEL_DATE(DATE_FORMAT='%N/%D')  ;Simple mm/dd
-;	  x = findgen(end_date+1 - start_date) + start_date ;Time axis
-;	  PLOT, x, sqrt(x), XTICKFORMAT = 'LABEL_DATE', XSTYLE=1
-;	  (Plot with X axis style set to exact.)
+; @examples
+; For example, to plot from Jan 1, 1993, to July 12, 1994:
+; Start_date = julday(1, 1, 1993)
+; End_date = julday(7, 12, 1994)
+; Dummy = LABEL_DATE(DATE_FORMAT='%N/%D')  ;Simple mm/dd
+; x = findgen(end_date+1 - start_date) + start_date ;Time axis
+; PLOT, x, sqrt(x), XTICKFORMAT = 'LABEL_DATE', XSTYLE=1
+; (Plot with X axis style set to exact.)
 ;	
 ; Example with times:
@@ -92,9 +76,16 @@
 ;	PLOT, x, sqrt(x), XTICKFORMAT = 'LABEL_DATE', XSTYLE=1
 ;
-; MODIFICATION HISTORY:
+; @history
 ;	DMS, RSI.	April, 1993.	Written.
 ;	DMS, RSI.	March, 1997.	Added Time format.
+;
+; Copyright (c) 1993-1998, Research Systems, Inc.  All rights reserved.
+;	Unauthorized reproduction prohibited.
+;
+; @version
+; $Id$
+;
 ;-
-
+;-----------------------------------------------------------------------------
 FUNCTION LABEL_DATE, axis, index, x, DATE_FORMAT = format, MONTHS = months, $
               OFFSET= offs, _EXTRA = ex
Index: /trunk/SRC/ToBeReviewed/PLOTS/LABEL/lataxe.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/LABEL/lataxe.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/LABEL/lataxe.pro	(revision 142)
@@ -3,32 +3,31 @@
 ;------------------------------------------------------------
 ;+
-; NAME:LATAXE
 ;
-; PURPOSE:fonction appelee par [XYZ]TICKFORMAT (cf l'help pour voir
-;         comment l'utiliser) pour labeller les axes en latitude.
+; @file_comments
+; function called by [XYZ]TICKFORMAT (see the help to see how to use it) to label axes in latitude.
 ;
-; CATEGORY:graphe
+; @categories
+; graphic
+; 
+; @param AXIS 
+; It is the axis number: 0 for X axis, 1 for Y axis, 2 for Z axis.
 ;
-; CALLING SEQUENCE:[XYZ]TICKFORMAT='lataxe'
+; @param INDEX
+; It is the tick mark index which starts at 0.
+;	
+; @param VALUE
+; It is the default tick mark value (a floating-point number).
 ;
-; INPUTS:fournis (et imposes) automatiquement par IDL: axis, index, value:
-;	Axis is the axis number: 0 for X axis, 1 for Y axis, 2 for Z axis.
-;	Index is the tick mark index which starts at 0.
-;	Value is the default tick mark value (a floating-point number).
-; KEYWORD PARAMETERS:
+; @returns
+; A string, used automatically to label
 ;
-; OUTPUTS:un string, utilise automatiquement pour labeller
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
+;                       ???
+;                       14/10/1999 format of labels
 ;
-; COMMON BLOCKS:
+; @version
+; $Id$
 ;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
-;                       ???
-;                       14/10/1999 format des labels
 ;-
 ;------------------------------------------------------------
@@ -37,5 +36,5 @@
 FUNCTION lataxe, axis, index, value
 ;------------------------------------------------------------
-; on ramenne value ds le segment [0,180]
+; We put back value in the segment [0,180]
 ;
   compile_opt idl2, strictarrsubs
@@ -44,5 +43,5 @@
    if lat lt 0 then lat=lat+360
    if lat gt 180 then lat=lat-180
-; format des labels:
+; format of labels:
    case 1 of
       lat EQ round(lat):fmt = 'i4'
@@ -50,5 +49,5 @@
       ELSE:fmt = 'f7.2'
    endcase
-; on ecrit le label
+; we write the label
    if lat le 90 and lat ne 0 then nom=string(lat,     format='('+fmt+',''N'')')
    if lat gt 90              then nom=string(180-lat, format='('+fmt+',''S'')')
